Bug 511407 - s-c-printer needs a print queue to be shared locally for debugging
s-c-printer needs a print queue to be shared locally for debugging
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516998
  Show dependency treegraph
 
Reported: 2009-07-14 21:06 EDT by Patrick C. F. Ernzer
Modified: 2009-10-08 23:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.1.13-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-08 23:33:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2009-07-14 21:06:53 EDT
Description of problem:
Using Help, Troubleshoot in s-c-printer only gets past the first step if a printer is shared locally

Version-Release number of selected component (if applicable):
system-config-printer-1.1.8-5.fc11.x86_64
system-config-printer-libs-1.1.8-5.fc11.x86_64
cups-1.4-0.b2.18.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. have a network printer defined as local queue (type is ipp in case it matters)
2. make sure the printer is _not_ shared
3. in s-c-printer, Help, Troubleshoot
4. select printer when prompted, click forward
  
Actual results:
tool says "Queue Not Shared
The CUPS printer on the server is not shared"

Expected results:
when debugging a local print queue (even if the physical printer itself is a network printer), should not require making said printer shared.

Additional info:
1) if I make the printer a shared printer in s-c-p, then troubleshooting is functional.

2) FWIW, I get the same problem when trying to Troubleshoot (from my F11 machine) a queue shared by my local server here (the F11 box picks it up in s-c-p because the server broadcasts the queue), but as on that server I run RHEL4 and the CUPS that comes with it I'm not sure if that behaviour is a separate bug or the same.
Comment 1 Tim Waugh 2009-07-15 07:17:54 EDT
Fixed upstream.  Point 2 is the same bug I think.
Comment 2 Fedora Update System 2009-07-28 07:59:21 EDT
system-config-printer-1.1.10-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.10-1.fc11
Comment 3 Fedora Update System 2009-07-29 17:33:05 EDT
system-config-printer-1.1.10-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 4 Fedora Update System 2009-08-08 15:24:48 EDT
system-config-printer-1.1.11-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 5 Fedora Update System 2009-08-27 18:53:05 EDT
system-config-printer-1.1.12-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 6 Fedora Update System 2009-08-31 19:34:37 EDT
system-config-printer-1.1.12-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 7 Fedora Update System 2009-09-06 16:45:53 EDT
system-config-printer-1.1.12-8.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 8 Fedora Update System 2009-09-15 03:49:07 EDT
system-config-printer-1.1.13-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 9 Fedora Update System 2009-09-24 01:08:09 EDT
system-config-printer-1.1.13-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 10 Fedora Update System 2009-10-03 15:09:52 EDT
system-config-printer-1.1.13-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 11 Fedora Update System 2009-10-08 23:32:06 EDT
system-config-printer-1.1.13-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.